Package tigase.vhosts

## Class AbstractVHostItemExtension<T extends AbstractVHostItemExtension<T>>

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<T>

- All Implemented Interfaces:
    `VHostItemExtensionIfc<T>`
  Direct Known Subclasses:
    `BasicComponent.ServerInfoVHostItemExtension`, `BruteForceLockerBean.BruteForceLockerVHostExtension`, `ClientTrustManagerFactory.ClientTrustVHostItemExtension`, `PresenceSubscription.PresenceSubscriptionVHostItemExtension`, `SeeOtherHost.SeeOtherHostVHostItemExtension`, `SSLContextContainer.HardenedModeVHostItemExtension`

      public abstract class AbstractVHostItemExtension<T extends AbstractVHostItemExtension<T>>
      extends VHostItemExtension<T>

  Abstract class and subclass of `VHostItemExtension` providing a helper method to add a boolean fields to ad-hoc forms for manipulation of vhost extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractVHostItemExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addBooleanFieldWithDefaultToCommand​(Element commandEl, java.lang.String var, java.lang.String label, java.lang.Boolean value, boolean forDefault)` | Method adds a boolean field to the form

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `mergeWithDefaults, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.vhosts.VHostItemExtensionIfc

      `addCommandFields, getId, initFromCommand, initFromElement, toDebugString, toElement`

- - ### Constructor Detail

    - #### AbstractVHostItemExtension

          public AbstractVHostItemExtension()

  - ### Method Detail

    - #### addBooleanFieldWithDefaultToCommand

          protected void addBooleanFieldWithDefaultToCommand​(Element commandEl,
                                                             java.lang.String var,
                                                             java.lang.String label,
                                                             java.lang.Boolean value,
                                                             boolean forDefault)

      Method adds a boolean field to the form
      Parameters:
        `commandEl` - - command element
        `var` - - field id
        `label` - - field label
        `value` - - value for a field
        `forDefault` - - if true then we are setting values for default instance and we can choose only YES or NO. In other case we can also select DEFAULT to enforce usage of the default value for this vhost item extension.s